gstreamermm: Gst::MessageInfo Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageInfo Class Reference

An informational message. More...

Inheritance diagram for Gst::MessageInfo:
[legend]
Collaboration diagram for Gst::MessageInfo:
[legend]

List of all members.

## Public Member Functions
| MessageInfo (GstMessage* castitem)
void | parse (Glib::Error& error, std::string& debug) const
| Extracts the Glib::Error and debug string from the Gst::MessageInfo.
Glib::Error | parse () const
| Extracts and returns the Glib::Error from the Gst::MessageInfo.
std::string | parse_debug () const
| Extracts and returns the debug message from the Gst::MessageInfo.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageInfo > | create (const Glib::RefPtr< Gst::Object >& src, Glib::Error& error, const std::string& debug)
| Create a new info message.

## Detailed Description

An informational message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageInfo::MessageInfo | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageInfo> Gst::MessageInfo::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Glib::Error & | error,
|  | const std::string & | debug
| ) |  | `[static]`

Create a new info message.

Parameters:

  src | The object originating the message.
  error | The Glib::Error for this message.
  debug | A debugging string for something or other.

Returns:
  The new info message.

Since 0.10.12 MT safe.

void Gst::MessageInfo::parse | ( | Glib::Error & | error,
|  | std::string & | debug
| ) |  | const

Extracts the Glib::Error and debug string from the Gst::MessageInfo.

MT safe.

Parameters:

  error | Location for the Glib::Error.
  debug | Location for the debug message.

Glib::Error Gst::MessageInfo::parse | ( |  | ) | const

Extracts and returns the Glib::Error from the Gst::MessageInfo.

MT safe.

Returns:
  The Glib::Error.

std::string Gst::MessageInfo::parse_debug | ( |  | ) | const

Extracts and returns the debug message from the Gst::MessageInfo.

MT safe.

Returns:
  The debug message.

The documentation for this class was generated from the following file:

- gstreamermm/message.h